function varargout=plotElementsNumber(self,varargin)
  default_PlotOptions={'BackgroundColor','w','margin',1,'LineStyle',':'};
  p = inputParser;
  p.KeepUnmatched=true;
  p.addParamValue('d',self.d,@isscalar);
  p.addParamValue('labels',[]); % select labels to draw
  p.addParamValue('color',[]);
  p.addParamValue('PlotOptions',{},@iscell);
  p.parse(varargin{:});
  R=p.Results;
  varargin=fc_tools.utils.deleteCellOptions(varargin,p.Parameters);
  %PlotOptions={default_PlotOptions{:},R.PlotOptions{:}};
  varargin={default_PlotOptions{:},varargin{:}};
  if isempty(R.labels), idxlab=self.find(R.d);else idxlab=self.find(R.d,R.labels);end
  if isempty(idxlab), return;end
  i=1;Color=R.color;
  PrevHold=fc_tools.graphics.SetHoldOn(true);
  leg=cell(length(idxlab),1);h=zeros(length(idxlab),1);
  for ilab=[idxlab]
    if isempty(R.color), Color=self.sTh{ilab}.color;end
    %[hl,leg{i}]=plotElementsNumber(self.sTh{ilab},'color',Color,'EdgeColor',Color,PlotOptions{:});
    [hl,leg{i}]=plotElementsNumber(self.sTh{ilab},'color',Color,'EdgeColor',Color,varargin{:});
    h(i)=hl(1);
    i=i+1;
  end
  fc_tools.graphics.RestoreHold(PrevHold)
  if nargout>=1, varargout{1}=h;end
  if nargout==2, varargout{2}=leg;end
end
